Bug 66172 - Opening Ubuntu LibreOffice Writer document crashes newer Mac version
Summary: Opening Ubuntu LibreOffice Writer document crashes newer Mac version
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-25 21:12 UTC by Tommy Trussell
Modified: 2013-11-21 17:10 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Document that crashes LibreOffice 4.0.4.2 (13.31 KB, application/vnd.oasis.opendocument.text)
2013-06-25 21:12 UTC, Tommy Trussell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tommy Trussell 2013-06-25 21:12:49 UTC
Created attachment 81426 [details]
Document that crashes LibreOffice 4.0.4.2

Attaching document that I created in LibreOffice using Ubuntu 12.04 LTS containing rotated arrow shapes. This document (and others like it) crash the stable Mac version of Libre 4.0.4.2.

The crasher must be the arrow shape itself. The original arrow had a gradient background and text but it crashes with a solid color and no text too.

I'm running out of time so I have not tested different shapes. This shape came from Writer's drawing toolbar. It's the arrow with a punt on its tail.

I haven't done any testing on other versions of LibreOffice on this Mac; I just updated to the latest stable version on this Mac today, just before attempting to open a similar document.
Comment 1 retired 2013-06-25 22:28:48 UTC
This does not crash LO 4.1.0.1 on OS X 10.8.4.

Tommy could you please test that version http://www.libreoffice.org/download/pre-releases/

4.1 will be released soon. So maybe we can set this to fixed already if 4.1.0.1 is working for you as well?
Comment 2 Tommy Trussell 2013-06-26 11:57:55 UTC
Confirming that the document does not crash LibreOffice 4.1.0.1 on Mac OS X 10.6.8. Marking as fixed.